<template>
  <div
    class="row bg-primary q-pa-lg"
    :class="$q.screen.md ? 'justify-around' : $q.screen.xs ? 'justify-between' : 'justify-evenly'"
  >
    <q-img
      v-if="$q.platform.is.desktop"
      src="~assets/logo.png"
      class="absolute"
      width="250px"
      basic
    />

    <div
      v-for="item in items"
      :key="item.id"
      :class="`text-${item.align} text-${item.color}`"
    >
      <div class="text-h6 text-bold q-pb-xs">
        {{ item.name }}
      </div>

      <div
        v-for="action in item.actions"
        :key="action.id"
      >
        <a
          :class="`link text-${item.color}`"
          :href="action.to"
          target="_blank"
        >
          {{ action.label }}
        </a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Footer',
  props: {
    items: {
      type: Array,
      default: () => ([])
    }
  }
}
</script>
